#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    //ifstream cin("C:/Users/zoran/Desktop/drvo.txt");
    int x1,x2,y1,y2;
    cin>>x1>>y1;
    cin>>x2>>y2;
    if(abs(x1-x2)==abs(y1-y2))
    {
        cout<<"1";
    }
    else if(y1==y2 || x1==x2)
    {
        cout<<"2";
    }
    else{
        cout<<"0";
    }
    return 0;
}